//
//  Report.h
//  iCloud Reports
//
//  Created by Jesse Feiler on 2/4/13.
//  Copyright (c) 2013 Champlain Arts. All rights reserved.
//

#import <UIKit/UIKit.h>

@class ReportDocument;                                    //1

@protocol ReportDocumentDelegate <NSObject>               //2
@optional
- (void)documentContentsDidChange: (ReportDocument *)document;
@end

@interface ReportDocument : UIDocument                    //3

@property (copy, nonatomic) NSString* documentText;
@property (weak, nonatomic) id<ReportDocumentDelegate> delegate;
@end