//
//  JFSimpleTextDocument.h
//  Placid
//
//  Created by Jesse Feiler on 7/3/13.
//  Copyright (c) 2013 Champlain Arts. All rights reserved.
//

#import <UIKit/UIKit.h>

// forward reference to protocol because it's used in @implementation
@protocol JFSimpleTextDocumentDelegate;

@interface JFSimpleTextDocument : UIDocument

@property (copy, nonatomic) NSString* documentText;

@property (weak, nonatomic) id <JFSimpleTextDocumentDelegate> delegate;

@end

@protocol JFSimpleTextDocumentDelegate <NSObject>
@optional

- (void)documentContentsDidChange: (JFSimpleTextDocument *)document;

@end
