//
//  JFDetailViewController.h
//  Placid
//
//  Created by Jesse Feiler on 7/3/13.
//  Copyright (c) 2013 Champlain Arts. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "JFWrappedDocument.h"    //1
#import "JFFileRepresentation.h" //2


@interface JFDetailViewController : UIViewController <UISplitViewControllerDelegate, JFWrappedDocumentDelegate> 
    //3
@property (strong, nonatomic) JFFileRepresentation *detailItem;

@property (weak, nonatomic) IBOutlet UITextField *fieldDescription;
@property (weak, nonatomic) IBOutlet UITextField *fieldLocation;
@property (weak, nonatomic) IBOutlet UIImageView *imageView;

- (void)setDetailItemAndConfigure: (JFFileRepresentation *)fr;
- (void)prepareToCreateFile;

@end
