//
//  AppDelegate.h
//  PartII OS X
//
//  Created by Sams Publishing on 7/6/12.
//  Copyright (c) 2012 Champlain Arts. All rights reserved.
//

#import <Cocoa/Cocoa.h>                          //1
#import <EventKit/EventKit.h>                    //2

@interface AppDelegate : NSObject <NSApplicationDelegate>

@property (assign) IBOutlet NSWindow *window;
@property (unsafe_unretained) IBOutlet NSTextView *userTextView;
@property (nonatomic, strong) EKEventStore *eventStore;       //3
@property (nonatomic, strong) EKCalendar *defaultCalendar;    //4

- (IBAction)tapButton:(id)sender;
- (IBAction)tapEventButton:(id)sender;             //5

@end
