//
//  SharediCloudController.h
//  OS X iCloud Reports
//
//  Created by Jesse Feiler on 3/17/13.
//  Copyright (c) 2013 Champlain Arts Corp. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface SharediCloudController : NSObject

- (NSInteger)numberOfDocuments;                         //1
- (NSString*)stringForDocumentNameAt: (NSInteger)index; //2
- (id)documentURLAt: (NSInteger)index;                  //3

- (NSString *)newUntitledDocumentName;                  //4
- (void)addDocument: (NSURL *)newDocumentURL;           //5
- (void)deleteDocument: (NSURL *)deleteDocumentURL;     //6

- (void)checkOnQuery;                                   //7

- (void)manageiCloudIdentityChange;                     //8
- (void)deleteDocumentsFromUI;                          //9

@end
