//
//  AppDelegate.m
//  PartII OS X
//
//  Created by Sams Publishing on 7/6/12.
//  Copyright (c) 2012 Champlain Arts. All rights reserved.
//

#import "AppDelegate.h"

@interface AppDelegate () {
}
@end

@implementation AppDelegate
//@synthesize userTextView;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
  // Insert code here to initialize your application
  _eventStore = [[EKEventStore alloc] init];                //1
  [_eventStore requestAccessToEntityType: EKEntityTypeEvent completion:^(BOOL granted, NSError *error) { //2
    if (!granted) {  //3
      //handle error
    }
  }];
}
- (IBAction)tapButton:(id)sender {
    NSLog (@" %@", [[_userTextView textStorage] string]);
}

- (IBAction)tapEventButton:(id)sender {
  EKEvent *newEvent = [EKEvent eventWithEventStore: self.eventStore];   //4
  newEvent.title = @"Test Event";                                       //5
  newEvent.notes = [[_userTextView textStorage] string];
  newEvent.calendar = [_eventStore defaultCalendarForNewEvents];        //6
  newEvent.startDate = [NSDate date];                                   //7
  newEvent.endDate = [NSDate date];
  NSError *error = nil;                                                 //8
  [_eventStore saveEvent: newEvent span:EKSpanThisEvent commit:YES error:&error]; //9
}


@end
